PDRBLOCKMESH(1)

NAME
PDRblockMesh - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
PDRblockMesh [OPTIONS]

DESCRIPTION
A block mesh generator for a rectilinear mesh in x-y-z.
  The ordering of vertex and face labels within a block as shown below.
  For the local vertex numbering in the sequence 0 to 7:
    Faces 0, 1  ==  x-min, x-max.
    Faces 2, 3  ==  y-min, y-max.
    Faces 4, 5  ==  z-min, z-max.
                        7 ---- 6
                 f5     |\     |\     f3
                 |      | 4 ---- 5     \
                 |      3 |--- 2 |      \
                 |       \|     \|      f2
                 f4       0 ---- 1
    Y  Z
     \ |                f0 ------ f1
      \|
       O--- X

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-dict file
    Alternative dictionary for the PDRblockMesh description

-noClean
    Do not remove any existing polyMesh/ directory or files

-time time
    Specify a time to write mesh to (default: constant)

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.